--- ./src/Makefile.in.orig	2023-05-08 02:13:24.662398391 +0000
+++ ./src/Makefile.in	2023-05-08 12:05:48.286433971 +0000
@@ -784,7 +784,12 @@
 	store_key_md5.$(OBJEXT) tests/stub_store_rebuild.$(OBJEXT) \
 	tests/stub_store_stats.$(OBJEXT) store_swapmeta.$(OBJEXT) \
 	store_swapout.$(OBJEXT) tests/stub_time.$(OBJEXT) \
-	tests/stub_tools.$(OBJEXT) wordlist.$(OBJEXT)
+	tests/stub_tools.$(OBJEXT) wordlist.$(OBJEXT) ipc/Queue.$(OBJEXT) ipc/TypedMsgHdr.$(OBJEXT) ipc/StrandSearch.$(OBJEXT) \
+        ipc/StoreMap.$(OBJEXT) ipc/mem/Segment.$(OBJEXT) ipc/ReadWriteLock.$(OBJEXT) \
+        ipc/StrandCoord.$(OBJEXT) ipc/mem/Pages.$(OBJEXT) \
+        ipc/mem/PagePool.$(OBJEXT) ipc/mem/PageStack.$(OBJEXT) ipc/mem/Page.$(OBJEXT) \
+        acl/FilledChecklist.$(OBJEXT) acl/Gadgets.$(OBJEXT) acl/UserData.$(OBJEXT) \
+        adaptation/icap/Elements.$(OBJEXT)
 nodist_tests_testDiskIO_OBJECTS = $(am__objects_18) \
 	SquidMath.$(OBJEXT) hier_code.$(OBJEXT) swap_log_op.$(OBJEXT)
 tests_testDiskIO_OBJECTS = $(am_tests_testDiskIO_OBJECTS) \
@@ -1127,7 +1132,8 @@
 	mime_header.$(OBJEXT) tests/stub_stmem.$(OBJEXT) \
 	tests/stub_store.$(OBJEXT) tests/stub_store_stats.$(OBJEXT) \
 	tests/stub_time.$(OBJEXT) tests/stub_tools.$(OBJEXT) \
-	wordlist.$(OBJEXT)
+	wordlist.$(OBJEXT) ip/Address.$(OBJEXT) \
+        ip/tools.$(OBJEXT) anyp/ProtocolType.$(OBJEXT)
 nodist_tests_testHttp1Parser_OBJECTS = $(am__objects_18)
 tests_testHttp1Parser_OBJECTS = $(am_tests_testHttp1Parser_OBJECTS) \
 	$(nodist_tests_testHttp1Parser_OBJECTS)
@@ -1166,7 +1172,9 @@
 	tests/stub_libsslsquid.$(OBJEXT) mime_header.$(OBJEXT) \
 	tests/stub_store.$(OBJEXT) tests/stub_store_stats.$(OBJEXT) \
 	tests/stub_time.$(OBJEXT) tests/stub_tools.$(OBJEXT) \
-	wordlist.$(OBJEXT)
+	wordlist.$(OBJEXT) acl/Gadgets.$(OBJEXT) ipc/Inquirer.$(OBJEXT) \
+        ipc/TypedMsgHdr.$(OBJEXT) ipc/Port.$(OBJEXT) ipc/UdsOp.$(OBJEXT) \
+        ipc/FdNotes.$(OBJEXT) ipc/RequestId.$(OBJEXT) ipc/QuestionerId.$(OBJEXT)
 nodist_tests_testHttpReply_OBJECTS = $(am__objects_18) \
 	hier_code.$(OBJEXT)
 tests_testHttpReply_OBJECTS = $(am_tests_testHttpReply_OBJECTS) \
@@ -1330,7 +1338,7 @@
 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
 	$(AM_CXXFLAGS) $(CXXFLAGS) $(tests_testHttpRequest_LDFLAGS) \
 	$(LDFLAGS) -o $@
-am_tests_testIcmp_OBJECTS = tests/testIcmp.$(OBJEXT)
+am_tests_testIcmp_OBJECTS = tests/testIcmp.$(OBJEXT) ip/Address.$(OBJEXT) ip/tools.$(OBJEXT)
 nodist_tests_testIcmp_OBJECTS = tests/stub_SBuf.$(OBJEXT) \
 	tests/stub_debug.$(OBJEXT) globals.$(OBJEXT) \
 	tests/stub_libmem.$(OBJEXT) time.$(OBJEXT)
@@ -1343,7 +1351,7 @@
 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
 	$(AM_CXXFLAGS) $(CXXFLAGS) $(tests_testIcmp_LDFLAGS) \
 	$(LDFLAGS) -o $@
-am_tests_testIpAddress_OBJECTS = tests/testIpAddress.$(OBJEXT)
+am_tests_testIpAddress_OBJECTS = tests/testIpAddress.$(OBJEXT) ip/Address.$(OBJEXT) ip/tools.$(OBJEXT)
 nodist_tests_testIpAddress_OBJECTS = tests/stub_SBuf.$(OBJEXT) \
 	tests/stub_debug.$(OBJEXT) tests/stub_libmem.$(OBJEXT) \
 	tests/stub_tools.$(OBJEXT)
@@ -1380,7 +1388,7 @@
 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
 	$(AM_CXXFLAGS) $(CXXFLAGS) $(tests_testMem_LDFLAGS) $(LDFLAGS) \
 	-o $@
-am_tests_testNetDb_OBJECTS = tests/testNetDb.$(OBJEXT)
+am_tests_testNetDb_OBJECTS = tests/testNetDb.$(OBJEXT) ip/Address.$(OBJEXT) ip/tools.$(OBJEXT)
 nodist_tests_testNetDb_OBJECTS = tests/stub_SBuf.$(OBJEXT) \
 	tests/stub_debug.$(OBJEXT) globals.$(OBJEXT) \
 	tests/stub_libmem.$(OBJEXT) time.$(OBJEXT)
@@ -1534,7 +1542,7 @@
 @ENABLE_FS_ROCK_TRUE@	$(am__objects_18) SquidMath.$(OBJEXT) \
 @ENABLE_FS_ROCK_TRUE@	hier_code.$(OBJEXT) swap_log_op.$(OBJEXT)
 tests_testRock_OBJECTS = $(am_tests_testRock_OBJECTS) \
-	$(nodist_tests_testRock_OBJECTS)
+	$(nodist_tests_testRock_OBJECTS) acl/Gadgets.$(OBJEXT)  adaptation/icap/Elements.$(OBJEXT)
 @ENABLE_FS_ROCK_TRUE@tests_testRock_DEPENDENCIES = http/libhttp.la \
 @ENABLE_FS_ROCK_TRUE@	parser/libparser.la libsquid.la \
 @ENABLE_FS_ROCK_TRUE@	comm/libcomm.la ip/libip.la fs/libfs.la \
@@ -1699,7 +1707,9 @@
 	tests/stub_store_stats.$(OBJEXT) store_swapout.$(OBJEXT) \
 	tests/stub_store_swapout.$(OBJEXT) tests/TestSwapDir.$(OBJEXT) \
 	tests/stub_time.$(OBJEXT) tests/stub_tools.$(OBJEXT) \
-	wordlist.$(OBJEXT)
+	wordlist.$(OBJEXT) ipc/StoreMap.$(OBJEXT) ipc/ReadWriteLock.$(OBJEXT) ipc/mem/Segment.$(OBJEXT) \
+        ipc/TypedMsgHdr.$(OBJEXT)  acl/Gadgets.$(OBJEXT) ipc/mem/PageStack.$(OBJEXT) \
+	ipc/mem/Page.$(OBJEXT) ipc/mem/Pages.$(OBJEXT) ipc/mem/PagePool.$(OBJEXT)
 nodist_tests_testStore_OBJECTS = $(am__objects_18) SquidMath.$(OBJEXT) \
 	swap_log_op.$(OBJEXT)
 tests_testStore_OBJECTS = $(am_tests_testStore_OBJECTS) \
@@ -1751,7 +1761,9 @@
 	tests/stub_HttpRequest.$(OBJEXT) tests/stub_StatHist.$(OBJEXT) \
 	String.$(OBJEXT) tests/stub_access_log.$(OBJEXT) \
 	tests/stub_cbdata.$(OBJEXT) tests/stub_debug.$(OBJEXT) \
-	tests/stub_libhttp.$(OBJEXT) tests/stub_libmem.$(OBJEXT)
+	tests/stub_libhttp.$(OBJEXT) tests/stub_libmem.$(OBJEXT) \
+	anyp/UriScheme.$(OBJEXT) anyp/ProtocolType.$(OBJEXT) \
+	anyp/Uri.$(OBJEXT) ip/Address.$(OBJEXT) ip/tools.$(OBJEXT) SquidConfig.$(OBJEXT)
 tests_testURL_OBJECTS = $(am_tests_testURL_OBJECTS) \
 	$(nodist_tests_testURL_OBJECTS)
 tests_testURL_DEPENDENCIES = libsquid.la proxyp/libproxyp.la \
@@ -1889,7 +1901,12 @@
 @ENABLE_FS_UFS_TRUE@	store_swapmeta.$(OBJEXT) \
 @ENABLE_FS_UFS_TRUE@	store_swapout.$(OBJEXT) time.$(OBJEXT) \
 @ENABLE_FS_UFS_TRUE@	tests/stub_tools.$(OBJEXT) \
-@ENABLE_FS_UFS_TRUE@	wordlist.$(OBJEXT)
+@ENABLE_FS_UFS_TRUE@	wordlist.$(OBJEXT) \
+			acl/Gadgets.$(OBJEXT) acl/UserData.$(OBJEXT) adaptation/icap/Elements.$(OBJEXT) \
+			ipc/StoreMap.$(OBJEXT) ipc/ReadWriteLock.$(OBJEXT) ipc/TypedMsgHdr.$(OBJEXT) ipc/Queue.$(OBJEXT) \
+			ipc/mem/Segment.$(OBJEXT) ipc/mem/PageStack.$(OBJEXT) ipc/mem/Pages.$(OBJEXT) ipc/mem/PagePool.$(OBJEXT) \
+			ipc/StrandCoord.$(OBJEXT) ipc/StrandSearch.$(OBJEXT) mgr/Action.$(OBJEXT) mgr/StoreIoAction.$(OBJEXT) \
+			mgr/Response.$(OBJEXT) ipc/mem/Page.$(OBJEXT) ipc/QuestionerId.$(OBJEXT)
 @ENABLE_FS_UFS_TRUE@nodist_tests_testUfs_OBJECTS = $(am__objects_18) \
 @ENABLE_FS_UFS_TRUE@	SquidMath.$(OBJEXT) hier_code.$(OBJEXT) \
 @ENABLE_FS_UFS_TRUE@	swap_log_op.$(OBJEXT)
@@ -3536,12 +3553,8 @@
 	tests/stub_libmem.cc
 
 tests_testURL_LDADD = \
-	libsquid.la \
-	proxyp/libproxyp.la \
-	anyp/libanyp.la \
 	parser/libparser.la \
 	base/libbase.la \
-	ip/libip.la \
 	sbuf/libsbuf.la \
 	$(top_builddir)/lib/libmiscencoding.la \
 	$(LIBCPPUNIT_LIBS) \
@@ -3774,7 +3787,6 @@
 @ENABLE_FS_ROCK_TRUE@	$(COMMON_LIBS) \
 @ENABLE_FS_ROCK_TRUE@	$(REPL_OBJS) \
 @ENABLE_FS_ROCK_TRUE@	DiskIO/libdiskio.la \
-@ENABLE_FS_ROCK_TRUE@	acl/libacls.la \
 @ENABLE_FS_ROCK_TRUE@	acl/libapi.la \
 @ENABLE_FS_ROCK_TRUE@	acl/libstate.la \
 @ENABLE_FS_ROCK_TRUE@	anyp/libanyp.la \
@@ -3784,7 +3796,6 @@
 @ENABLE_FS_ROCK_TRUE@	base/libbase.la \
 @ENABLE_FS_ROCK_TRUE@	mem/libmem.la \
 @ENABLE_FS_ROCK_TRUE@	store/libstore.la \
-@ENABLE_FS_ROCK_TRUE@	$(ADAPTATION_LIBS) \
 @ENABLE_FS_ROCK_TRUE@	sbuf/libsbuf.la \
 @ENABLE_FS_ROCK_TRUE@	$(top_builddir)/lib/libmisccontainers.la \
 @ENABLE_FS_ROCK_TRUE@	$(top_builddir)/lib/libmiscencoding.la \
@@ -3939,27 +3950,22 @@
 @ENABLE_FS_UFS_TRUE@	parser/libparser.la \
 @ENABLE_FS_UFS_TRUE@	CommCalls.o \
 @ENABLE_FS_UFS_TRUE@	ident/libident.la \
-@ENABLE_FS_UFS_TRUE@	acl/libacls.la \
 @ENABLE_FS_UFS_TRUE@	acl/libstate.la \
 @ENABLE_FS_UFS_TRUE@	acl/libapi.la \
 @ENABLE_FS_UFS_TRUE@	libsquid.la \
 @ENABLE_FS_UFS_TRUE@	ip/libip.la \
 @ENABLE_FS_UFS_TRUE@	fs/libfs.la \
-@ENABLE_FS_UFS_TRUE@	mgr/libmgr.la \
 @ENABLE_FS_UFS_TRUE@	$(REPL_OBJS) \
-@ENABLE_FS_UFS_TRUE@	acl/libacls.la \
 @ENABLE_FS_UFS_TRUE@	DiskIO/libdiskio.la \
 @ENABLE_FS_UFS_TRUE@	acl/libapi.la \
 @ENABLE_FS_UFS_TRUE@	anyp/libanyp.la \
 @ENABLE_FS_UFS_TRUE@	$(SSL_LIBS) \
-@ENABLE_FS_UFS_TRUE@	ipc/libipc.la \
 @ENABLE_FS_UFS_TRUE@	comm/libcomm.la \
 @ENABLE_FS_UFS_TRUE@	dns/libdns.la \
 @ENABLE_FS_UFS_TRUE@	base/libbase.la \
 @ENABLE_FS_UFS_TRUE@	ip/libip.la \
 @ENABLE_FS_UFS_TRUE@	mem/libmem.la \
 @ENABLE_FS_UFS_TRUE@	store/libstore.la \
-@ENABLE_FS_UFS_TRUE@	$(ADAPTATION_LIBS) \
 @ENABLE_FS_UFS_TRUE@	sbuf/libsbuf.la \
 @ENABLE_FS_UFS_TRUE@	$(top_builddir)/lib/libmisccontainers.la \
 @ENABLE_FS_UFS_TRUE@	$(top_builddir)/lib/libmiscencoding.la \
@@ -4106,21 +4112,16 @@
 	libsquid.la \
 	http/libhttp.la \
 	parser/libparser.la \
-	ident/libident.la \
-	acl/libacls.la \
 	acl/libstate.la \
 	acl/libapi.la \
 	dns/libdns.la \
 	base/libbase.la \
 	ip/libip.la \
-	fs/libfs.la \
 	mgr/libmgr.la \
-	ipc/libipc.la \
 	anyp/libanyp.la \
 	mem/libmem.la \
 	store/libstore.la \
 	sbuf/libsbuf.la \
-	DiskIO/libdiskio.la \
 	$(top_builddir)/lib/libmisccontainers.la \
 	$(top_builddir)/lib/libmiscencoding.la \
 	$(top_builddir)/lib/libmiscutil.la \
@@ -4282,14 +4283,11 @@
 	SquidConfig.o \
 	CommCalls.o \
 	ident/libident.la \
-	acl/libacls.la \
 	acl/libstate.la \
 	comm/libcomm.la \
 	ip/libip.la \
 	fs/libfs.la \
-	ipc/libipc.la \
 	$(REPL_OBJS) \
-	$(ADAPTATION_LIBS) \
 	DiskIO/libdiskio.la \
 	acl/libapi.la \
 	anyp/libanyp.la \
@@ -4630,10 +4628,8 @@
 tests_testHttp1Parser_LDADD = \
 	http/libhttp.la \
 	parser/libparser.la \
-	anyp/libanyp.la \
 	SquidConfig.o \
 	base/libbase.la \
-	ip/libip.la \
 	sbuf/libsbuf.la \
 	$(top_builddir)/lib/libmiscutil.la \
 	$(SSLLIB) \
@@ -4728,13 +4724,11 @@
 	CommCalls.o \
 	http/libhttp.la \
 	parser/libparser.la \
-	acl/libacls.la \
 	acl/libapi.la \
 	acl/libstate.la \
 	anyp/libanyp.la \
 	ip/libip.la \
 	base/libbase.la \
-	ipc/libipc.la \
 	mem/libmem.la \
 	sbuf/libsbuf.la \
 	$(top_builddir)/lib/libmisccontainers.la \
@@ -4998,7 +4992,6 @@
 	tests/stub_tools.cc
 
 tests_testIpAddress_LDADD = \
-	ip/libip.la \
 	base/libbase.la \
 	$(LIBCPPUNIT_LIBS) \
 	$(COMPAT_LIB) \
@@ -5021,7 +5014,6 @@
 
 tests_testIcmp_LDADD = \
 	icmp/libicmpcore.la \
-	ip/libip.la \
 	base/libbase.la \
 	$(LIBCPPUNIT_LIBS) \
 	$(COMPAT_LIB) \
@@ -5042,7 +5034,6 @@
 
 tests_testNetDb_LDADD = \
 	icmp/libicmp.la \
-	ip/libip.la \
 	base/libbase.la \
 	$(top_builddir)/lib/libmisccontainers.la \
 	$(LIBCPPUNIT_LIBS) \
@@ -5358,8 +5349,6 @@
 	$(TESTSOURCES)
 
 tests_testConfigParser_LDADD = \
-	libsquid.la \
-	ip/libip.la \
 	sbuf/libsbuf.la \
 	base/libbase.la \
 	$(top_builddir)/lib/libmiscutil.la \
--- ./src/ip/Address.cc.orig	2023-05-08 12:13:02.812302562 +0000
+++ ./src/ip/Address.cc	2023-05-08 12:13:23.755627766 +0000
@@ -606,7 +606,7 @@
 
     // set defaults
     // Mac OS X does not emit a flag indicating the output is numeric (IP address)
-#if _SQUID_APPLE_
+#if _SQUID_APPLE_ || _AIX
     dst->ai_flags = 0;
 #else
     dst->ai_flags = AI_NUMERICHOST;
